POST /accounts/{id}/whatsapp/request-code

Ask Meta for the verification code (bring-your-own number)

POST
/accounts/{id}/whatsapp/request-code

Authorization

BearerAuth
headerAuthorizationBearer <token>

API key sk_...

Path Parameters

id*string

WhatsApp account id

Request Body

application/json
  1. body
method?string
Value in"SMS""VOICE"
language?string

Response Body

{requested, alreadyActive, method, accountId, phoneNumberId}

application/json
  1. response
requested?boolean
alreadyActive?boolean
method?string
accountId?string
phoneNumberId?string
Example Request
curl -X POST 'https://example.com/api/v1/accounts/string/whatsapp/request-code' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
{  "requested": true,  "alreadyActive": true,  "method": "string",  "accountId": "string",  "phoneNumberId": "string"}